import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionShards {
    render() {
        return (h("div", { key: '82b3a2dac559eda4141a3fd317d5f9fcb4bbff41', class: classNames(this.class, 'transaction-shards') }, h("mvx-explorer-link", { key: 'dff87b9ffd0dc87b0e3ec8fc89317e9aa1149f31', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: '7a9a8cf4dc207557c6453c928e462230adb8822d', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '350424421827846fd2bbc04437b70894a8ee6539', class: "transaction-shards-arrow" }, "\u2794"), h("mvx-explorer-link", { key: '68c092d5091aedc03ac8abe9d34fc06ee298de3a', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: 'd76823bf9635c76ea9f059544e49620df13b9b0a', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get is() { return "mvx-transaction-shards"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "transaction": {
                "type": "unknown",
                "attribute": "transaction",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-shards.js.map
