import { faLayerGroup } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionValue {
    render() {
        var _a;
        return (h("div", { key: 'a0c01984e321a5f5c831e7d94c1f1d70a6d20913', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '34f2d50d8e53f5ab452fa093a6c2710dc413c369', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("mvx-format-amount", { key: '38ad674cc7a133b234335a4318bd97341fef266e', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("mvx-explorer-link", { key: 'aba791efaab31becd64a44fd2191fe14671497bc', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '278f24bec4cb38acc611024dbe418cd0617dd560', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: 'e03fa357dad4ea0df5e6e893113fbe98a39c1e2f', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: 'c1fe780d3fa1e2f99550fb09b5133659b1a471c6', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("mvx-fa-icon", { key: '7b54a330f9edd993eb4070de93941553c04f0cab', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get is() { return "mvx-transaction-value"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "value": {
                "type": "unknown",
                "attribute": "value",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionValue",
                    "resolved": "ITransactionValue",
                    "references": {
                        "ITransactionValue": {
                            "location": "import",
                            "path": "components/controlled/transactions-table/transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionValue"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-value.js.map
