import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: 'ec1e3a53e5be221cc79c60cca9eb77f902fd4b5f', class: "balance-container" }, this.header && h("p", { key: '6d4bea9773661ea6e0ef94410fcde2e0b222cac1' }, this.header), h("div", { key: 'b0023ebd49a4220edd5c05f767451ce447e41855', class: "amount-container" }, h("span", { key: '3c7a248ff617576f56a79e0c5d827c3cb13dfa51', class: "amount-value" }, this.amount), h("span", { key: 'e0fbb6ddea470abc94970e912ebece2f4da62e02', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: '5f9f4a5dd7ef2c15c5099b46bbe0e7c5ced22af0' }, this.usdValue)));
    }
    static get is() { return "mvx-balance-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "attribute": "amount",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "attribute": "ticker",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "attribute": "usd-value",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "header": {
                "type": "string",
                "attribute": "header",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
