import { h } from "@stencil/core";
import { ELLIPSIS } from "../../../../../constants/htmlStrings";
export class PaginationEllipsis {
    constructor() {
        this.isActive = false;
    }
    render() {
        return h("div", { key: '4ae1e7352e9be6ee0e5fb244b5d73d066318722e', class: { 'pagination-ellipsis': true, 'active': this.isActive } }, ELLIPSIS);
    }
    static get is() { return "mvx-pagination-ellipsis"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["pagination-ellipsis.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["pagination-ellipsis.css"]
        };
    }
    static get properties() {
        return {
            "isActive": {
                "type": "boolean",
                "attribute": "is-active",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
}
//# sourceMappingURL=pagination-ellipsis.js.map
