import { r as registerInstance, h } from './index-DeR7QOsF.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-BPc6-DQj.js';
import { f as formatAddress } from './index-39TxyvVb.js';
import { s as state } from './signTransactionsPanelStore-Hxfq1pfI.js';

const signTransactionComponentCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.transaction-container{display:flex;flex-direction:column;gap:1rem;padding:0 1rem}.data-container,.receiver-container{align-items:flex-start;display:flex;flex-direction:column;gap:4px;line-height:1}.data-content-container{font-family:inherit;font-size:inherit;height:100px;min-height:100px;white-space:pre-wrap;width:100%;word-wrap:break-word;background-color:#f9f9f9;border:1px solid #ccc;border-radius:4px;color:#333;display:block;overflow-y:auto;padding:8px}.data-content{opacity:.6}.fee-container{align-items:flex-start;gap:4px;line-height:1}.fee-container,.sign-button-container{display:flex;flex-direction:column}.sign-back-button{background-color:#0000;border:none;border-radius:4px;color:#1a56db;cursor:pointer;display:inline-block;font-size:16px;padding:8px 12px;text-decoration:none}.sign-back-button:hover{color:#0033a0;text-decoration:underline}.sign-back-button:active{color:#001f70}.sign-back-button:disabled{color:#a1a1a1;cursor:not-allowed;opacity:.6;text-decoration:none}.sign-button{background-color:#1a56db;border:none;border-radius:8px;color:#fff;cursor:pointer;display:block;margin:0 auto;padding:12px;width:200px}.sign-button:disabled{background-color:#a1a1a1;box-shadow:none;color:#e0e0e0;cursor:not-allowed;opacity:.6;transform:none}.highlight{opacity:1}";

var __rest = (undefined && undefined.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
const SignTransaction = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getSignButtonProps() {
        const { needsSigning } = state.commonData;
        if (needsSigning) {
            return {
                'signText': 'Sign',
                'disabled': state.isWaitingForSignature,
                'data-testid': DataTestIdsEnum.signTransactionBtn,
                'onClick': state.onConfirm,
            };
        }
        return {
            'signText': 'Next',
            'disabled': false,
            'data-testid': DataTestIdsEnum.signNextTransactionBtn,
            'onClick': state.onConfirm,
        };
    }
    getBackButtonProps() {
        const { transactionsCount, currentIndex } = state.commonData;
        const isMultipleTransactions = transactionsCount > 1;
        if (!isMultipleTransactions) {
            return {};
        }
        if (currentIndex === 0) {
            return {
                'data-testid': DataTestIdsEnum.signCancelBtn,
                'backButtonText': 'Cancel',
                'onClick': state.onCancel,
            };
        }
        return {
            'data-testid': DataTestIdsEnum.signBackBtn,
            'backButtonText': 'Back',
            'onClick': state.onBack,
            'disabled': state.isWaitingForSignature,
        };
    }
    getHighlightedData() {
        const { data, highlight } = state.commonData;
        if (!highlight || !data) {
            return data;
        }
        const parts = data.split(highlight);
        return (h("span", null, parts.map((part, index) => (h("span", null, h("span", { class: "data-content" }, part), index < parts.length - 1 && h("span", { class: "highlight" }, highlight))))));
    }
    render() {
        const { receiver, scCall } = state.commonData;
        const _a = this.getSignButtonProps(), { signText } = _a, signButtonProps = __rest(_a, ["signText"]);
        const _b = this.getBackButtonProps(), { backButtonText } = _b, backButtonProps = __rest(_b, ["backButtonText"]);
        const highlightedData = this.getHighlightedData();
        return (h("div", { key: '624942dee4fb92ee4d8232962405fc0e0e862d95', class: "transaction-container" }, this.header, h("div", { key: '5cf27b3b1c67280841670c361bc66b0b42b445ca', class: "receiver-container" }, h("p", { key: 'e0d9307210aa2c978ba0fb39ffdbcbc9a314c8b2' }, "To"), h("p", { key: '32f5055b3b2abb129bcd76394535d953af04a2f0' }, formatAddress(receiver, 40))), h("mvx-transaction-fee-component", { key: 'c2a7495f4674c62756efc553521812f39399236d' }), scCall && (h("div", { key: '290fadee8e071314d3f77310de636b955ce9153f', class: "data-container" }, h("p", { key: '90058ebb6901854f417e6abc14d6e53a835600b2' }, "Smart Contract Call"), h("div", { key: 'e8925bb61e16223f40e4762c1f020d24cef3bf3b', class: "data-content-container" }, scCall))), h("div", { key: 'f1709e5d72218d5e4b26017f89d91771a0ae649c', class: "data-container" }, h("p", { key: '91eafb95c80f5b7ca022646e8c66023db0737737' }, "Data"), h("div", { key: '68de8066c8b909fbeb87aa802070d1f9783be34c', class: "data-content-container" }, highlightedData)), h("div", { key: '3fc6465b2e49f6f40c2e06b2d5cc85472454ce41', class: "sign-button-container" }, h("button", Object.assign({ key: 'd53bce6bb3f33df666154bf8bdf4258a0c849107', class: "sign-button" }, signButtonProps), signText), backButtonText && (h("button", Object.assign({ key: 'd7adb745bdd6d97bbb073820473186122cb7ba89', class: "sign-back-button" }, backButtonProps), backButtonText)))));
    }
};
SignTransaction.style = signTransactionComponentCss;

const transactionFeeComponentCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.transaction-fee-container{align-items:flex-start;background:var(--white);border-radius:8px;display:flex;flex-direction:column;gap:4px;line-height:1;padding:16px}.fee-header{align-items:center;display:flex;justify-content:space-between;margin-bottom:8px}.edit-button{background:0 0;border:none;color:var(--text-secondary);cursor:pointer;padding:4px}.edit-button:hover{color:var(--text-primary)}.gas-options{background:#f8f9fa;border-radius:8px;border-top:1px solid var(--border-color);margin-top:16px;padding:1rem;width:100%}.top-section{align-items:center;display:flex;justify-content:space-between;margin-bottom:1rem}.gas-limit-section .label,.gas-price-section .label{color:#6c757d;font-size:.875rem;margin-bottom:.25rem}.gas-limit-section .value,.gas-price-section .value{align-items:center;color:#212529;display:flex;font-size:1rem;font-weight:500;margin:0}.gas-limit-section{border-top:1px solid #dee2e6;padding-top:1rem}.radio-group{border:1px solid #dee2e6;border-radius:4px;display:inline-flex;margin-left:12px;overflow:hidden}.radio-option{position:relative}.radio-option input[type=radio]{height:0;opacity:0;position:absolute;width:0}.radio-option input[type=radio]:checked+label{background:#0d6efd;color:#fff}.radio-option label{border-right:1px solid #dee2e6;cursor:pointer;display:inline-block;font-size:12px;padding:4px 8px;transition:all .2s}.radio-option label:hover{background:#e9ecef}.radio-option:last-child label{border-right:none}";

const TransactionFeeComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: '50ab47d5c8822a65d4c3570129f04a4dde62ca71', class: "transaction-fee-container" }, h("div", { key: '44d51d8ef9feccdb57a9e6c0655daedb65c5f642', class: "fee-header" }, h("p", { key: '7c105a57e4d5a2ee6fea6ebd57972d3c4baafaca' }, "Transaction fee"), isEditable && (h("button", { key: '8760383f1e9f51babace99a00752e5d9ae7f08af', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '136041d40a6650ec6d544dca9d10f5acab045a40' }, h("span", { key: '6d29de9e44425cf021aafba77c7045d0f010f3c5' }, feeLimit), "\u00A0", h("span", { key: 'a52982500512a56186697ed76ee0d249cbae209b' }, egldLabel))), h("p", { key: '721a0de00f53b2ee46158b4b3f6ed4978950d261' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: '3bf660debca9d856d12f46a52a2a6db2bbe2583e', class: "gas-options" }, h("div", { key: '1270f0f90230b8d0e41d7f60834f3b3611353387', class: "top-section" }, h("div", { key: 'd92d6df3f33c180afe90ed521838899c80f02b98', class: "gas-price-section" }, h("div", { key: 'caf812f2d02e4451d71e185027b8da0ea9367289', class: "label" }, "Gas Price"), h("div", { key: '23ecad14c2fb7d75aa44178bcfc9e162c25be3c1', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: '1ae19fea99c18ff1901b4d3b989c5a1d12026179', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: 'e94d99c6d3df2a5702287644681294c56acb0e29', class: "gas-limit-section" }, h("div", { key: 'df7778453f7b25154b876f363983c6b2e34d1c2c', class: "label" }, "Gas Limit"), h("div", { key: '769d07e1be7237aa0dd1722b2884638a217ad9a1', class: "value" }, gasLimit))))));
    }
};
TransactionFeeComponent.style = transactionFeeComponentCss;

export { SignTransaction as mvx_sign_transaction_component, TransactionFeeComponent as mvx_transaction_fee_component };
//# sourceMappingURL=mvx-sign-transaction-component.mvx-transaction-fee-component.entry.js.map

//# sourceMappingURL=mvx-sign-transaction-component_2.entry.js.map