import { p as proxyCustomElement, H, h } from './p-C6Ye8jK5.js';
import { s as state } from './p-Us3IUV03.js';
import { d as defineCustomElement$4 } from './p-B9ZajNz0.js';
import { d as defineCustomElement$3 } from './p-CV5Adntb.js';
import { d as defineCustomElement$2 } from './p-CT6P98z1.js';

const TokenComponent = /*@__PURE__*/ proxyCustomElement(class TokenComponent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("mvx-sign-transaction-component", { key: '96bb87ea591eaafbdce3b1b3ccc4c1c348604296', header: h("mvx-balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
}, [0, "mvx-token-component"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-token-component", "mvx-balance-component", "mvx-sign-transaction-component", "mvx-transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-token-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TokenComponent);
            }
            break;
        case "mvx-balance-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-sign-transaction-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-fee-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxTokenComponent = TokenComponent;
const defineCustomElement = defineCustomElement$1;

export { MvxTokenComponent, defineCustomElement };
//# sourceMappingURL=mvx-token-component.js.map

//# sourceMappingURL=mvx-token-component.js.map