import { p as proxyCustomElement, H, h } from './p-C6Ye8jK5.js';
import { D as DataTestIdsEnum } from './p-BPc6-DQj.js';
import { d as defineCustomElement$4 } from './p-DGL5LKdi.js';
import { d as defineCustomElement$3 } from './p-BOLa00ln.js';
import { d as defineCustomElement$2 } from './p-Bwx2qLgZ.js';
import { d as defineCustomElement$1 } from './p-ChzNxzeg.js';

const ledgerConfirmCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;:host{display:flex;flex:1;flex-direction:column}.ledger-confirm{color:#fff;display:flex;flex:1;flex-direction:column;gap:12px;padding-top:24px}.ledger-confirm .ledger-confirm-items,.ledger-confirm .ledger-confirm-items .ledger-confirm-item{display:flex;flex-direction:column;gap:12px}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-label{font-size:16px;line-height:1}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value{align-items:center;border-radius:12px;display:flex;gap:12px;justify-content:space-between;min-height:64px;padding:12px;position:relative}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value:before{background-color:#353535;border-radius:12px;content:\"\";inset:0;opacity:.5;pointer-events:none;position:absolute}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-text{position:relative;word-break:break-all;z-index:1}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-text.highlighted{color:#23f7dd}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-copy{display:flex}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-copy .ledger-confirm-item-value-copy-icon{display:flex;height:16px;justify-content:center;transition:all .2s;width:16px}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-copy .ledger-confirm-item-value-copy-icon:hover{opacity:.8}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-explorer{display:flex}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-explorer .ledger-confirm-item-value-explorer-icon{color:#fff;display:flex;height:16px;transition:all .2s;width:16px}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-explorer .ledger-confirm-item-value-explorer-icon:hover{opacity:.8}.ledger-confirm .ledger-confirm-items .ledger-confirm-item .ledger-confirm-item-value .ledger-confirm-item-value-actions{align-items:center;display:flex;flex:1;gap:12px;position:relative;z-index:1}.ledger-confirm .ledger-confirm-action{display:initial}.ledger-confirm .ledger-confirm-action strong{color:#23f7dd;font-weight:700}.ledger-confirm .ledger-confirm-footer{align-items:center;background-color:#dc2626;border-radius:12px;display:flex;gap:8px;height:64px;margin-top:auto;padding:0 12px}.ledger-confirm .ledger-confirm-footer .ledger-confirm-footer-icon{fill:#fff;flex:1;height:24px;min-width:24px;padding:2px;width:24px}.ledger-confirm .ledger-confirm-footer .ledger-confirm-footer-description{font-size:12px}.ledger-confirm .ledger-confirm-footer .ledger-confirm-footer-button{align-items:center;background:#fff;border-radius:8px;color:#0e0e0e;display:flex;font-size:12px;font-weight:700;line-height:1;padding:12px;transition:all .2s;white-space:nowrap}.ledger-confirm .ledger-confirm-footer .ledger-confirm-footer-button:hover{opacity:.75}";

const LedgerConfirm = /*@__PURE__*/ proxyCustomElement(class LedgerConfirm extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        const ledgerConfirmationItems = [
            { label: this.confirmScreenData.confirmAddressText, value: this.confirmScreenData.selectedAddress, explorerLink: this.confirmScreenData.addressExplorerLink },
            { label: this.confirmScreenData.authText, value: this.confirmScreenData.data, highlighted: true },
        ];
        return (h("div", { key: 'bec347a601747adddb353120a8dacc9910d4b3b0', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "ledger-confirm" }, h("div", { key: '23dc8a9a2f6a468d313672afa599ae9fc717c548', class: "ledger-confirm-items" }, ledgerConfirmationItems.map(ledgerConfirmationItem => (h("div", { class: "ledger-confirm-item" }, h("div", { class: "ledger-confirm-item-label" }, ledgerConfirmationItem.label), h("div", { class: "ledger-confirm-item-value" }, h("div", { class: { 'ledger-confirm-item-value-text': true, 'highlighted': Boolean(ledgerConfirmationItem.highlighted) } }, ledgerConfirmationItem.value), h("div", { class: "ledger-confirm-item-value-actions" }, h("mvx-copy-button", { text: ledgerConfirmationItem.value, class: "ledger-confirm-item-value-copy", iconClass: "ledger-confirm-item-value-copy-icon" }), ledgerConfirmationItem.explorerLink && (h("mvx-explorer-link", { link: ledgerConfirmationItem.explorerLink, class: "ledger-confirm-item-value-explorer", iconClass: "ledger-confirm-item-value-explorer-icon" })))))))), h("div", { key: 'c190a641192c8f3b80fd1d9f5a0cf73f84ef28bc', class: "ledger-confirm-action" }, "Select ", h("strong", { key: '207102f7ed72f378625fef7693a77bdeb9031fec' }, "Approve"), " on your device to confirm."), h("div", { key: '3fd80eba34401a895f3728021d55515129ca936a', class: "ledger-confirm-footer" }, h("mvx-triangular-warning-icon", { key: '6d08316aa66fc7d1ea89fe229492c9f77a47a08a', class: "ledger-confirm-footer-icon" }), h("div", { key: '0bf61cad785fecea0718c128dd1d49a6e6719301', class: "ledger-confirm-footer-description" }, "If the address does not mach close this page and contact support."), h("a", { key: '3f3a5915dd22bfa429d9f90b80c5085775e78f3c', target: "_blank", rel: "noreferrer", href: "https://help.multiversx.com/en/", class: "ledger-confirm-footer-button" }, "Contact Support"))));
    }
    static get style() { return ledgerConfirmCss; }
}, [1, "mvx-ledger-confirm", {
        "confirmScreenData": [16, "confirm-screen-data"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-ledger-confirm", "mvx-copy-button", "mvx-explorer-link", "mvx-fa-icon", "mvx-triangular-warning-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-ledger-confirm":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConfirm);
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-triangular-warning-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { LedgerConfirm as L, defineCustomElement as d };
//# sourceMappingURL=p-BM5JpaRc.js.map

//# sourceMappingURL=p-BM5JpaRc.js.map