import { p as proxyCustomElement, H, h } from './p-C6Ye8jK5.js';

const SpinnerIcon = /*@__PURE__*/ proxyCustomElement(class SpinnerIcon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("svg", { key: 'b54032a6b447ae325faf36fde6029b8b5dd76f57', xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 512 512", width: "16", height: "16" }, h("path", { key: 'ad498ab23cff975f2fb22dc56aca9d999371873a', d: "M304 48a48 48 0 1 0 -96 0 48 48 0 1 0 96 0zm0 416a48 48 0 1 0 -96 0 48 48 0 1 0 96 0zM48 304a48 48 0 1 0 0-96 48 48 0 1 0 0 96zm464-48a48 48 0 1 0 -96 0 48 48 0 1 0 96 0zM142.9 437A48 48 0 1 0 75 369.1 48 48 0 1 0 142.9 437zm0-294.2A48 48 0 1 0 75 75a48 48 0 1 0 67.9 67.9zM369.1 437A48 48 0 1 0 437 369.1 48 48 0 1 0 369.1 437z" })));
    }
}, [1, "mvx-spinner-icon"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-spinner-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-spinner-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SpinnerIcon);
            }
            break;
    } });
}

export { SpinnerIcon as S, defineCustomElement as d };
//# sourceMappingURL=p-CQXUsCLP.js.map

//# sourceMappingURL=p-CQXUsCLP.js.map